# Asterisk Project : Asterisk 13 Application_VMAuthenticate

Created by wikibot on Aug 08, 2014

# VMAuthenticate()

### Synopsis

Authenticate with Voicemail passwords.

### Description

This application behaves the same way as the Authenticate application, but the passwords are taken from `voicemail.conf`. If the mailbox is specified, only that mailbox's password will be considered valid. If the mailbox is not specified, the channel variable `AUTH_MAILBOX` will be set with the authenticated mailbox.

The VMAuthenticate application will exit if the following DTMF digit is entered as Mailbox or Password, and the extension exists:

- `*` - Jump to the `a` extension in the current dialplan context.

### Syntax

    VMAuthenticate([mailbox@[context]],[options])

##### Arguments

- `mailbox`
  - `mailbox`
  - `context`
- `options`
  - `s` - Skip playing the initial prompts.

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538